Bug 218392 - SELinux prevents system-config-services from showing correct iptables --status
SELinux prevents system-config-services from showing correct iptables --status
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-04 19:42 EST by Yannick Palanque
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-20 12:33:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logfile from setroubleshoot with SELinux in enforcing mode (1.85 KB, text/plain)
2006-12-04 19:42 EST, Yannick Palanque
no flags Details
logfile from setroubleshoot with SELinux in permissive mode ("getattr") (1.85 KB, text/plain)
2006-12-04 19:46 EST, Yannick Palanque
no flags Details
logfile from setroubleshoot with SELinux in permissive mode ("write") (1.85 KB, text/plain)
2006-12-04 19:48 EST, Yannick Palanque
no flags Details

  None (edit)
Description Yannick Palanque 2006-12-04 19:42:44 EST
Description of problem:

SELInux prevents system-config-services or service command line tool from
showing corrects informtions about the status of iptables and ip6tables.


Version-Release number of selected component (if applicable):
Up-to-date FC6 final with fresh install.
Affected RPM Packages:  iptables-1.3.5-1.2.1 [application]
Policy RPM:  selinux-policy-2.4.5-3.fc6
Affected RPM Packages:  iptables-ipv6-1.3.5-1.2.1 [application]


How reproducible:

Always


Steps to Reproduce:
1. FC6 with iptables and SELinux in enforced mode.
2. Open or close a port with system-config-securitylevel
3.
  
Actual results:

[root@ATHLON init.d]# service iptables status
Table : filter


Expected results:

[root@ATHLON init.d]# service iptables status
Table : filter
Chain INPUT (policy ACCEPT)
num  target     prot opt source               destination         
1    RH-Firewall-1-INPUT  all  --  0.0.0.0/0            0.0.0.0/0           

Chain FORWARD (policy ACCEPT)
num  target     prot opt source               destination         
1    RH-Firewall-1-INPUT  all  --  0.0.0.0/0            0.0.0.0/0           

Chain OUTPUT (policy ACCEPT)
num  target     prot opt source               destination         

Chain RH-Firewall-1-INPUT (2 references)
num  target     prot opt source               destination         
1    ACCEPT     all  --  0.0.0.0/0            0.0.0.0/0           
2    ACCEPT     icmp --  0.0.0.0/0            0.0.0.0/0           icmp type 255 
3    ACCEPT     esp  --  0.0.0.0/0            0.0.0.0/0           
4    ACCEPT     ah   --  0.0.0.0/0            0.0.0.0/0           
5    ACCEPT     udp  --  0.0.0.0/0            224.0.0.251         udp dpt:5353 
6    ACCEPT     udp  --  0.0.0.0/0            0.0.0.0/0           udp dpt:631 
7    ACCEPT     tcp  --  0.0.0.0/0            0.0.0.0/0           tcp dpt:631 
8    ACCEPT     all  --  0.0.0.0/0            0.0.0.0/0           state
RELATED,ESTABLISHED 
9    ACCEPT     tcp  --  0.0.0.0/0            0.0.0.0/0           state NEW tcp
dpt:21 
10   ACCEPT     tcp  --  0.0.0.0/0            0.0.0.0/0           state NEW tcp
dpt:22 
11   ACCEPT     tcp  --  0.0.0.0/0            0.0.0.0/0           state NEW tcp
dpt:80 
12   ACCEPT     tcp  --  0.0.0.0/0            0.0.0.0/0           state NEW tcp
dpt:20 
13   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with
icmp-host-prohibited

(example)


Additional info:

service command line tool or system-config-services show the same thing.
SELInux in permissive mode allows showing of corrects informations.
I never saw this problem in FC5.
Comment 1 Yannick Palanque 2006-12-04 19:42:44 EST
Created attachment 142788 [details]
logfile from setroubleshoot with SELinux in enforcing mode
Comment 2 Yannick Palanque 2006-12-04 19:46:51 EST
Created attachment 142789 [details]
logfile from setroubleshoot with SELinux in permissive mode ("getattr")
Comment 3 Yannick Palanque 2006-12-04 19:48:16 EST
Created attachment 142790 [details]
logfile from setroubleshoot with SELinux in permissive mode ("write")
Comment 4 Nils Philippsen 2006-12-12 09:47:20 EST
I guess this is a policy issue.
Comment 5 Yannick Palanque 2006-12-17 02:49:17 EST
Hum, I don't have this problem on a fresh install of FC6.

Note You need to log in before you can comment on or make changes to this bug.